Subject: Re: bug#43238: `guix system build -n` to be more informative (builds/substitutes)

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 06 Sep 2020 12:43:25 +0200

Vitaliy Shatrov <[email-masked]> writes:

> Hello Guix.
>
> I did:
> `guix system build -n config.scm`
>
> I get a message, something like:
> "3 packages (guix, modules, and ?) would be downloaded."
>
> I ran `sudo guix system build config.scm`.  Guix told me it will build
> the linux kernel.  It was unexpected.

Are these the same “guix” programs?  “sudo guix” probably gives you the
root user’s “guix”, whereas just “guix” will give you the current user’s
“guix”.

That’s why we recommend “sudo -E guix” or similar.

-- 
Ricardo